Foxit PDF SDK

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
FSDK.LRStructureElement Class Reference
Inheritance diagram for FSDK.LRStructureElement:

## Public Member Functions
| constructor ()
| Constructor.
| GetAttributeValueARGB (type, index)
| Get an ARGB value (specified by index) for specified attribute type. More...
| GetAttributeValueCount (type)
| Get value count of a specified attribute type. More...
| GetAttributeValueElement (type, index)
| Get an structure element object (specified by index) for specified attribute type. More...
| GetAttributeValueEnum (type, index)
| Get an enum value (specified by index) for specified attribute type. More...
| GetAttributeValueFloat (type, index)
| Get a float value (specified by index) for specified attribute type. More...
| GetAttributeValueInt32 (type, index)
| Get an integer value (specified by index) for specified attribute type. More...
| GetAttributeValueString (type, index)
| Get a string value (specified by index) for specified attribute type. More...
| GetAttributeValueType (type)
| Get attribute value type for a specified attribute type. More...
| GetBBox ()
| Get bounding box. More...
| GetChild (index)
| Get a child element by index. More...
| GetChildCount ()
| Get the count of children elements. More...
| GetParentElement ()
| Get the parent element. More...
| GetSupportedAttribute (index)
| Get a supported attribute type by index. More...
| GetSupportedAttributeCount ()
| Get supported attribute count. More...
Public Member Functions inherited from FSDK.LRElement
| constructor ()
| Structure element type: AnnotContent; which means annotation content element. More...
| GetElementType ()
| Get element type. More...
| IsContentElement ()
| Check whether current object is content element or not. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| IsGraphicsObjectElement ()
| Check whether current object is graphics object element or not. More...
| IsStructureElement ()
| Check whether current object is structure element or not. More...
| StringifyElementType (type)
| Convert enum value of a specified element type to a short and memorable string (text) representation. More...
| StringifyType ()
| Convert type (enum value) of current element to a short and memorable string (text) representation. More...

## Static Public Member Functions
static | IsArrayAttributeValueType (type)
| Check whether input attribute value type represents an array. More...
static | ParseAttributeType (type_string)
| Parse a string representation for attribute type and retrieve the enum value for this attribute type. More...
static | StringifyAttributeType (type)
| Convert the enum value of a specified attribute type to a short and memorable string (text) representation. More...
static | StringifyEnumVariant (type)
| Convert the enum value of a specified attribute value enum to a short and memorable string (text) representation. More...

## Static Public Attributes
static | e_AttributeTypeABox
| (Reserved) Attribute type: ABox. More...
static | e_AttributeTypeAttached
| Attribute type: Attached; which specifies the edges of the page; if any; to which the artifact is logically attached. More...
static | e_AttributeTypeBackgroundColor
| Attribute type: BackgroundColor; which represents the color to be used to fill the background of a table cell or any element's content rectangle. More...
static | e_AttributeTypeBaselineShift
| Attribute type: BaselineShift; which means the distance by which the element's baseline is shifted relative to that of its parent element. More...
static | e_AttributeTypeBBox
| Attribute type: BBox; which represents the element's bounding box (the rectangle that completely encloses its visible content). More...
static | e_AttributeTypeBlockAlign
| Attribute type: BlockAlign; which represents the alignment; in the block-progression direction; of content within the table cell. More...
static | e_AttributeTypeBorderColor
| Attribute type: BorderColor; which represents the color of the border drawn on the edges of a table cell or any element's content rectangle. More...
static | e_AttributeTypeBorderStyle
| Attribute type: BorderStyle; which represents the style of an element's border. More...
static | e_AttributeTypeBorderThickness
| Attribute type: BorderThickness; which represents the thickness of the border drawn on the edges of a table cell or any element's content rectangle. More...
static | e_AttributeTypeColor
| Attribute type: Color; which represents the color to be used for drawing text and the default value for the color of table borders and text decorations. More...
static | e_AttributeTypeColSpan
| Attribute type only for Table: ColSpan; which represents the number of columns in the enclosing table that are spanned by the cell. More...
static | e_AttributeTypeColumnCount
| Attribute type: ColumnCount; which represents the number of columns in the content of the grouping element. More...
static | e_AttributeTypeColumnGap
| Attribute type: ColumnGap; which represents the desired space between adjacent columns; measured in the inline-progression direction. More...
static | e_AttributeTypeColumnWidths
| Attribute type: ColumnWidths; which represents the desired width of the columns; measured in the inline-progression direction. More...
static | e_AttributeTypeDestination
| Attribute type: Destination (PDF 2.0); which provides a means to access content. More...
static | e_AttributeTypeDirection
| (Reserved) Attribute type: Direction. More...
static | e_AttributeTypeEndIndent
| Attribute type: EndIndent; which represents the distance from the end edge of the BLSE to that of the reference area. More...
static | e_AttributeTypeFieldChecked
| Attribute type only for PrintField: checked; which represents the state of a radio button or check box field. More...
static | e_AttributeTypeFieldDesc
| Attribute type only for PrintField: Desc; which represents the alternate name of the field; similar to the value supplied in the TU entry of the field dictionary for interactive fields. More...
static | e_AttributeTypeFieldRole
| Attribute type only for PrintField: Role; which represents the type of form field represented by this graphic. More...
static | e_AttributeTypeGlyphOrientationVertical
| Attribute type: GlyphOrientationVertical; which specifies the orientation of glyphs when the inline-progression direction is top to bottom or bottom to top. More...
static | e_AttributeTypeHeight
| Attribute type: Height; which represents the height of the element's content rectangle. More...
static | e_AttributeTypeInlineAlign
| Attribute type: InlineAlign; which represents the alignment; in the inline-progression direction; of content within the table cell. More...
static | e_AttributeTypeInvalid
| Enumeration for element general layout attribute types. More...
static | e_AttributeTypeLineHeight
| Attribute type: LineHeight; which means the element's preferred height; in the block-progression direction. More...
static | e_AttributeTypeListNumbering
| Attribute type only for List: ListNumbering; which represents the numbering system to be used to generate the content of the Lbl (Label) elements in an autonumbered list; or the symbol used to identify each item in an unnumbered list. More...
static | e_AttributeTypePadding
| Attribute type: Padding; which specifies an offset to account for the separation between the element's content rectangle and the surrounding border. More...
static | e_AttributeTypePlacement
| Attribute type: Placement; which means the positioning of the element with respect to the enclosing reference area and other content. More...
static | e_AttributeTypeRole
| Attribute type: role; which means strings of structure element meaning and standard type it maps to. More...
static | e_AttributeTypeRotation
| Attribute type: Rotation. More...
static | e_AttributeTypeRowSpan
| Attribute type only for Table: RowSpan; which represents the number of rows in the enclosing table that are spanned by the cell. More...
static | e_AttributeTypeRubyAlign
| Attribute type: RubyAlign; which represents the justification of the lines within a ruby assembly. More...
static | e_AttributeTypeRubyPosition
| Attribute type: RubyPosition; which represents the placement of the RT structure element relative to the RB element in a ruby assembly. More...
static | e_AttributeTypeShort
| Attribute type: Short (PDF 2.0); which contains a short form of the content of a TH structure element's content. More...
static | e_AttributeTypeSpaceAfter
| Attribute type: SpaceAfter; which represents the amount of extra space following the after edge of the BLSE. More...
static | e_AttributeTypeSpaceBefore
| Attribute type: SpaceBefore; which represents the amount of extra space preceding the before edge of the BLSE. More...
static | e_AttributeTypeStartIndent
| Attribute type: StartIndent; which represents the distance from the start edge of the reference area to that of the BLSE. More...
static | e_AttributeTypeSubType
| Attribute type: Subtype; which means the subtype of annotation or artifact. More...
static | e_AttributeTypeTableHeaders
| (Currently; unsupported) Attribute type only for Table: Headers; which represents an array of element identifiers. More...
static | e_AttributeTypeTableHeaderScope
| Attribute type only for Table: Scope; which indicates whether the header cell applies to the rest of the cells in the row that contains it; the column that contains it; or both the row and the column that contain it. More...
static | e_AttributeTypeTableSummary
| Attribute type only for Table: Summary; which represents a summary of the table's purpose and structure; for use in non-visual rendering such as speech or braille. More...
static | e_AttributeTypeTBorderStyle
| Attribute type: TBorderStyle; which represents the style of the border drawn on each edge of a table cell. More...
static | e_AttributeTypeTextAlign
| Attribute type: TextAlign; which represents the alignment of text and other content within lines of the BLSE. More...
static | e_AttributeTypeTextDecorationColor
| Attribute type: TextDecorationColor; which represents the color to be used for drawing text decorations. More...
static | e_AttributeTypeTextDecorationThickness
| Attribute type: TextDecorationThickness; which represents the thickness of each line drawn as part of the text decoration. More...
static | e_AttributeTypeTextDecorationType
| Attribute type: TextDecorationType; which represents the text decoration; if any; to be applied to the element's text. More...
static | e_AttributeTypeTextIndent
| Attribute type: TextIndent; which represents the additional distance from the start edge of the BLSE; as specified by FSDK.LRStructureElement.e_AttributeTypeStartIndent; to that of the first line of text. More...
static | e_AttributeTypeTPadding
| Attribute type: TPadding; which specifies an offset to account for the separation between the table cell's content rectangle and the surrounding border. More...
static | e_AttributeTypeVersion
| (Reserved) Attribute type: Version; which represents schema version of layout recognition engine. More...
static | e_AttributeTypeWidth
| Attribute type: Width; which represents the width of the element's content rectangle. More...
static | e_AttributeTypeWritingMode
| Attribute type: WritingMode; which means the directions of layout progression for packing of ILSEs (inline progression) and stacking of BLSEs (block progression). More...
static | e_AttributeValueEnumAfter
| Enum value: After; which means the alignment for attribute BlockAlign or the placement for attribute RubyPosition. More...
static | e_AttributeValueEnumAuto
| Enum value: Auto. More...
static | e_AttributeValueEnumBackground
| Enum value: Background; which means background artifacts. Background artifacts typically serve as a background for content shown either on top of or placed adjacent to that background. More...
static | e_AttributeValueEnumBates
| Enum value: Bates (PDF2.0).
static | e_AttributeValueEnumBefore
| Enum value: Before; which means the placement for attributes Placement/RubyPosition or alignment for attribute BlockAlign. More...
static | e_AttributeValueEnumBlock
| Enum value: Block; which means to be stacked in the block-progression direction within an enclosing reference area or parent BLSE. More...
static | e_AttributeValueEnumBoth
| Enum value: Row; which means both row and column of a table. More...
static | e_AttributeValueEnumBottom
| Enum value: Bottom; which means bottom edge of the page. More...
static | e_AttributeValueEnumCB
| Enum value: cb; which means check box. More...
static | e_AttributeValueEnumCenter
| Enum value: Center; which means the alignment for attributes TextAlign/InlineAlign/RubyAlign. More...
static | e_AttributeValueEnumCircle
| Enum value: Circle; which means open circular bullet. More...
static | e_AttributeValueEnumColumn
| Enum value: Row; which means column of a table. More...
static | e_AttributeValueEnumDashed
| Enum value: Dashed; which means the border is a series of short line segments. More...
static | e_AttributeValueEnumDecimal
| Enum value: Decimal; which means decimal arabic numerals (1-9; 10-99; ...). More...
static | e_AttributeValueEnumDisc
| Enum value: Disc; which means solid circular bullet. More...
static | e_AttributeValueEnumDistribute
| Enum value: Distribute; which means the content is to be expanded to fill the available width in the inline-progression direction. More...
static | e_AttributeValueEnumDotted
| Enum value: Dotten; which means the border is a series of dots. More...
static | e_AttributeValueEnumDouble
| Enum value: Double; which means the border is two solid lines. More...
static | e_AttributeValueEnumEnd
| Enum value: End; which means the place for attribute Placement; or the alignment for attributes TextAlign/InlineAlign/RubyAlign. More...
static | e_AttributeValueEnumFloat
| Enum value: float.
static | e_AttributeValueEnumFooter
| Enum value: Footer.
static | e_AttributeValueEnumGroove
| Enum value: Groove; which means the border looks as though it were carved into the canvas. More...
static | e_AttributeValueEnumHeader
| Enum value: Header.
static | e_AttributeValueEnumHidden
| Enum value: Hidden; which is same as None except in terms of border conflict resolution for table elements. More...
static | e_AttributeValueEnumInline
| Enum value: Inline; which means the placement for attributes Placement/RubyPosition. More...
static | e_AttributeValueEnumInset
| Enum value: Inset; which means the border makes the entire box look as though it were embedded in the canvas. More...
static | e_AttributeValueEnumInvalid
| Enumeration for element general layout attribute enum values. More...
static | e_AttributeValueEnumJustify
| Enum value: Justify; which means the alignment for attributes TextAlign/BlockAlign/RubyAlign. More...
static | e_AttributeValueEnumLayout
| Enum value: Layout; which means layout artifacts. Purely cosmetic typographical or design elements such as footnote rules or background screens. More...
static | e_AttributeValueEnumLeft
| Enum value: Left; which means left edge of the page. More...
static | e_AttributeValueEnumLineThrough
| Enum value: LineThrough; which means a line through the middle of the text. More...
static | e_AttributeValueEnumLowerAlpha
| Enum value: LowerAlpha; which means lowercase letters (a; b; c; ...). More...
static | e_AttributeValueEnumLowerRoman
| Enum value: LowerRoman; which means lowercase roman numerals (i; ii; iii; iv; ...). More...
static | e_AttributeValueEnumLrTb
| Enum value: LtTb; which means inline progression from left to right; block progression from top to bottom. More...
static | e_AttributeValueEnumMiddle
| Enum value: Middle; which means children are centered within the table cell. More...
static | e_AttributeValueEnumNeutral
| Enum value: neutral; which means the state is neutral. More...
static | e_AttributeValueEnumNone
| Enum value: None; which means no such attribute. More...
static | e_AttributeValueEnumNormal
static | e_AttributeValueEnumOff
| Enum value: off; which means the state is off. More...
static | e_AttributeValueEnumOn
| Enum value: on; which means the state is on. More...
static | e_AttributeValueEnumOrdered
| Enum value: Ordered (PDF 2.0); which means ordered lists with unspecified numbering. More...
static | e_AttributeValueEnumOther
| Enum value: Other (PDF 2.0). More...
static | e_AttributeValueEnumOutset
| Enum value: Outset; which means the border makes the entire box look as though it were coming out of the canvas (the opposite of Inset). More...
static | e_AttributeValueEnumOverline
| Enum value: Overline; which means a line above the text. More...
static | e_AttributeValueEnumPage
| Enum value: Page; which means page artifacts. Production aids extraneous to the document itself; such as cut marks and color bars. More...
static | e_AttributeValueEnumPageNum
| Enum value: PageNum (PDF2.0).
static | e_AttributeValueEnumPagination
| Enum value: Pagination; which means pagination artifacts. Ancillary page features such as running heads and folios (page numbers). More...
static | e_AttributeValueEnumPB
| Enum value: pb; which means push button. More...
static | e_AttributeValueEnumRB
| Enum value: rb; which means radio button. More...
static | e_AttributeValueEnumRidge
| Enum value: Ridge; which means the border looks as though it were coming out of the canvas (the opposite of Groove). More...
static | e_AttributeValueEnumRight
| Enum value: Right; which means right edge of the page. More...
static | e_AttributeValueEnumRlTb
| Enum value: RlTb; which means inline progression from right to left; block progression from top to bottom. More...
static | e_AttributeValueEnumRow
| Enum value: Row; which means row of a table. More...
static | e_AttributeValueEnumSolid
| Enum value: Solid; which means the border is a single line segment. More...
static | e_AttributeValueEnumSquare
| Enum value: Square; which means solid square bullet. More...
static | e_AttributeValueEnumStart
| Enum value: Start; which means the place for attribute Placement; or the alignment for attributes TextAlign/InlineAlign/RubyAlign. More...
static | e_AttributeValueEnumTbLr
| Enum value: TbLr (PDF 2.0); which means inline progression from top to bottom; block progression from left to right. More...
static | e_AttributeValueEnumTbRl
| Enum value: TbRl; which means inline progression from top to bottom; block progression from right to left. More...
static | e_AttributeValueEnumTop
| Enum value: Top; which means top edge of the page. More...
static | e_AttributeValueEnumTV
| Enum value: tv; which means text-value field. More...
static | e_AttributeValueEnumUnderline
| Enum value: Underline; which means a line below the text. More...
static | e_AttributeValueEnumUnordered
| Enum value: Unordered (PDF 2.0); which means unordered list with unspecified bullets. More...
static | e_AttributeValueEnumUpperAlpha
| Enum value: UpperAlpha; which means uppercase letters (A; B; C; ...). More...
static | e_AttributeValueEnumUpperRoman
| Enum value: UpperRoman; which means uppercase roman numerals (I; II; III; IV; ...). More...
static | e_AttributeValueEnumWarichu
| Enum value: Warichu; which means the RT and associated RP elements are to be formatted as a warichu; following the RB element. More...
static | e_AttributeValueEnumWatermark
| Enum value: Watermark.
static | e_AttributeValueTypeARGB
| Value type: ARGB color type; 32 bits; ((b) | ((g) << 8) | ((r) << 16)) | ((a) << 24).
static | e_AttributeValueTypeARGBArray
| Value type: an array of ARGB values.
static | e_AttributeValueTypeElement
| Value type: element.
static | e_AttributeValueTypeElementArray
| Value type: an array of elements.
static | e_AttributeValueTypeEmpty
| Enumeration for value type of element general layout attribute. More...
static | e_AttributeValueTypeEnum
| Value type: enum.
static | e_AttributeValueTypeEnumArray
| Value type: an array of enum values.
static | e_AttributeValueTypeFloat
| Value type: float.
static | e_AttributeValueTypeFloatArray
| Value type: an array of float values.
static | e_AttributeValueTypeInt32
| Value type: 32-bit signed integer.
static | e_AttributeValueTypeInt32Array
| Value type: an array of integer values.
static | e_AttributeValueTypeWStr
| Value type: wide string.
static | e_AttributeValueTypeWStrArray
| Value type: an array of wide strings.
Static Public Attributes inherited from FSDK.LRElement
static | e_ElementTypeAnnot
| Structure element type: Annot; which means "Annotation" and represents an association between a portion of the ILSE's content and a corresponding PDF annotation.
static | e_ElementTypeAnnotObject
| Structure element type: AnnotObject; which means annotation object element.
static | e_ElementTypeArt
| Structure element type: Art; which means "Article" and represents a relatively self-contained body of text constituting a single narrative or exposition.
static | e_ElementTypeArtifact
| Structure element type: Artifact; which includes other Pagination; Layout; Page and Background artifacts.
static | e_ElementTypeAside
| Structure element type: Aside (PDF 2.0); which represents content that is distinct from other content within its parent structure element.
static | e_ElementTypeBibEntry
| Structure element type: BibEntry; which means "Bibliography entry" and represents a reference identifying the external source of some cited content.
static | e_ElementTypeBlockQuote
| Structure element type: BlockQuote; which means "Block quotation" and represents a portion of text consisting of one or more paragraphs attributed to someone other than the author of the surrounding text.
static | e_ElementTypeCaption
| Structure element type: Caption; which represents a brief portion of text describing a table or figure.
static | e_ElementTypeCode
| Structure element type: Code; which represents a fragment of computer program text.
static | e_ElementTypeComplexContent
| Structure element type: ComplexContent; which means complex content element.
static | e_ElementTypeContainerObject
| Structure element type: ContainerObject; which means container object element.
static | e_ElementTypeDiv
| Structure element type: Div; which means "Division" and represents a generic block-level element or group of elements.
static | e_ElementTypeDocument
| Enumeration for standard structure types. More...
static | e_ElementTypeDocumentFragment
| Structure element type: DocumentFragment (PDF 2.0); which represents a part of an original complete document.
static | e_ElementTypeEm
| Structure element type: Em (PDF 2.0); which means "Emphasis" and represents content for the purpose of emphasis.
static | e_ElementTypeFENote
| Structure element type: FENote (PDF 2.0); which is used to markup footnotes and endnotes.
static | e_ElementTypeFigure
| Structure element type: Figure; which represents an item of graphical content.
static | e_ElementTypeForm
| Structure element type: Form; which represents a widget annotation representing an interactive form field.
static | e_ElementTypeFormObject
| Structure element type: FormObject; which means form XObject graphics object element.
static | e_ElementTypeFormula
| Structure element type: Formula; which represents a mathematical formula.
static | e_ElementTypeHeading
| Structure element type: H; which means "Heading" and represents a label for a subdivision of a document's content. It should be the first child of the division that it heads.
static | e_ElementTypeHeading1
| Structure element type: H1; which represents heading with level 1.
static | e_ElementTypeHeading2
| Structure element type: H2; which represents heading with level 2.
static | e_ElementTypeHeading3
| Structure element type: H3; which represents heading with level 3.
static | e_ElementTypeHeading4
| Structure element type: H4; which represents heading with level 4.
static | e_ElementTypeHeading5
| Structure element type: H5; which represents heading with level 5.
static | e_ElementTypeHeading6
| Structure element type: H6; which represents heading with level 6.
static | e_ElementTypeHeadingN
| Structure element type: Hn (PDF 2.0); which represents heading with level 7 or more.
static | e_ElementTypeImageContent
| Structure element type: ImageContent; which means image content element.
static | e_ElementTypeImageObject
| Structure element type: ImageObject; which means image graphics object element.
static | e_ElementTypeIndex
| Structure element type: Index; which represents a sequence of entries containing identifying text accompanied by reference elements that point out occurrences of the specified text in the main body of a document.
static | e_ElementTypeLink
| Structure element type: Link; which represents an association between a portion of the ILSE's content and a corresponding link annotation or annotations.
static | e_ElementTypeList
| Structure element type: L; which means "List" and represents a sequence of items of like meaning and importance.
static | e_ElementTypeListBody
| Structure element type: LBody; which means "List body" and reprsents the descriptive content of a list item.
static | e_ElementTypeListItem
| Structure element type: LI; which means "List item" and represents an individual member of a list.
static | e_ElementTypeListLabel
| Structure element type: Lbl; which means "Label" and represents a name or number that distinguishes a given item from others in the same list or other group of like items.
static | e_ElementTypeNonStruct
| Structure element type: NonStruct; which means "Nonstructural element" and represents a grouping element having no inherent structural significance; it serves solely for grouping purposes.
static | e_ElementTypeNote
| Structure element type: Note; which represents an item of explanatory text; such as a footnote or an endnote; that is referred to from within the body of the document.
static | e_ElementTypePageObject
| Structure element type: PageObject; which means page object element.
static | e_ElementTypeParagraph
| Structure element type: P; which means "Paragraph" and represents a low-level division of text.
static | e_ElementTypePart
| Structure element type: Part; which represents a large-scale division of a document.
static | e_ElementTypePathContent
| Structure element type: PathContent; which means path content element.
static | e_ElementTypePathObject
| Structure element type: PathObject; which means path graphics object element.
static | e_ElementTypePrivate
| Structure element type: Private; which means "Private element" and represents a grouping element containing private content belonging to the application producing it.
static | e_ElementTypeQuote
| Structure element type: Quote; which means "Quotation" and represents an inline portion of text attributed to someone other than the author of the surrounding text.
static | e_ElementTypeReference
| Structure element type: Reference; which represents a citation to content elsewhere in the document.
static | e_ElementTypeRuby
| Structure element type: Ruby; which represents the wrapper around the entire ruby assembly.
static | e_ElementTypeRubyAnnot
| Structure element type: RT; which means "Ruby annotation text" and represents the smaller-size text that is placed adjacent to the ruby base text.
static | e_ElementTypeRubyBase
| Structure element type: RB; which means "Ruby base text" and represents the full-size text to which the ruby annotation is applied.
static | e_ElementTypeRubyPunc
| Structure element type: RP; which means "Ruby punctuation" and represents punctuation surrounding the ruby annotation text.
static | e_ElementTypeSect
| Structure element type: Sect; which means "Section" and represents a container for grouping related content elements.
static | e_ElementTypeShadingContent
| Structure element type: ShadingContent; which means shading content element.
static | e_ElementTypeShadingObject
| Structure element type: ShadingObject; which means shading graphics object element.
static | e_ElementTypeSpan
| Structure element type: Span; which represents a generic inline portion of text having no particular inherent characteristics.
static | e_ElementTypeStrong
| Structure element type: Strong (PDF 2.0); which represents content for the purpose of strong importance; seriousness or urgency for its contents.
static | e_ElementTypeSub
| Structure element type: Sub (PDF 2.0); which means "Sub-division of a block level element" and represents content typically perceived as a sub-division inside a block level structure element.
static | e_ElementTypeTable
| Structure element type: Table; which represents a two-dimensional layout of rectangular data cells; possibly having a complex substructure.
static | e_ElementTypeTableBodyGroup
| Structure element type: TBody; which means "Table body row group" and represents a group of rows that constitute the main body portion of a table.
static | e_ElementTypeTableDataCell
| Structure element type: TD; which means "Table data cell" and represents a table cell containing data that is part of the table's content.
static | e_ElementTypeTableFootGroup
| Structure element type: TFoot; which means "Table footer row group" and represents a group of rows that constitute the footer of a table.
static | e_ElementTypeTableHeaderCell
| Structure element type: TH; which means "Table header cell" and represents a table cell containing header text describing one or more rows or columns of the table.
static | e_ElementTypeTableHeaderGroup
| Structure element type: THead; which means "Table header row group" and represents a group of rows that constitute the header of a table.
static | e_ElementTypeTableRow
| Structure element type: TR; which means "Table row" and represents a row of headings or data in a table.
static | e_ElementTypeTextContent
| Structure element type: TextContent; which means text content element.
static | e_ElementTypeTextObject
| Structure element type: TextObject; which means text graphics object element.
static | e_ElementTypeTitle
| Structure element type: Title (PDF 2.0); which represents content that is usually referred to as the title of a document or high-level devision of content.
static | e_ElementTypeTOC
| Structure element type: TOC; which means "Table of contents" and represents a list made up of table of contents item entries and/or other nested table of contents entries.
static | e_ElementTypeTOCI
| Structure element type: TOCI; which means "Table of contents item" and represents an individual member of a table of contents.
static | e_ElementTypeWarichu
| Structure element type: Warichu; which represents the wrapper around the entire warichu assembly.
static | e_ElementTypeWarichuPunc
| Structure element type: WP; which means "Warichu punctuation" and represents the punctuation that surrounds the WT text.
static | e_ElementTypeWarichuText
| Structure element type: WT; which means "Warichu text" and represents the smaller-size text of a warichu comment that is formatted into two lines and placed between surrounding WP elements.

## Detailed Description

This class represents a structure element. A structure element can be used to construct a tree, like graphics structure element, paragraph structure element, span structure element and so on.

## Member Function Documentation

## ◆ GetAttributeValueARGB()

FSDK.LRStructureElement.GetAttributeValueARGB | ( | type | ,
|  | index |
| ) |  |

Get an ARGB value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FSDK.LRStructureElement.e_AttributeValueTypeARGB or FSDK.LRStructureElement.e_AttributeValueTypeARGBArray. For other value type, this function will return 0.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetAttributeValueCount.

Returns
  ARGB value.

## ◆ GetAttributeValueCount()

FSDK.LRStructureElement.GetAttributeValueCount | ( | type |  | ) |

Get value count of a specified attribute type.

- When the value type of an attribute type represents an array, this function returns the size of the array.
- When the value type of an attribute type does not represent an array, this function will alway return 1.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.

Returns
  Value count of a specified attribute type.

## ◆ GetAttributeValueElement()

FSDK.LRStructureElement.GetAttributeValueElement | ( | type | ,
|  | index |
| ) |  |

Get an structure element object (specified by index) for specified attribute type.

This function is available for attributes whose value type is FSDK.LRStructureElement.e_AttributeValueTypeElement or FSDK.LRStructureElement.e_AttributeValueTypeElementArray. For other value type, this function will return a structure element whose function FSDK.LRStructureElement.IsEmpty returns true.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetAttributeValueCount.

Returns
  A structure element.

## ◆ GetAttributeValueEnum()

FSDK.LRStructureElement.GetAttributeValueEnum | ( | type | ,
|  | index |
| ) |  |

Get an enum value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FSDK.LRStructureElement.e_AttributeValueTypeEnum or FSDK.LRStructureElement.e_AttributeValueTypeEnumArray. For other value type, this function will return FSDK.LRStructureElement.e_AttributeValueEnumInvalid.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetAttributeValueCount.

Returns
  An enum value. Please refer to values starting from FSDK.LRStructureElement.e_AttributeValueEnumInvalid and this would be one of these values.

## ◆ GetAttributeValueFloat()

FSDK.LRStructureElement.GetAttributeValueFloat | ( | type | ,
|  | index |
| ) |  |

Get a float value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FSDK.LRStructureElement.e_AttributeValueTypeFloat or FSDK.LRStructureElement.e_AttributeValueTypeFloatArray. For other value type, this function will return 0.0.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetAttributeValueCount.

Returns
  Float value.

## ◆ GetAttributeValueInt32()

FSDK.LRStructureElement.GetAttributeValueInt32 | ( | type | ,
|  | index |
| ) |  |

Get an integer value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FSDK.LRStructureElement.e_AttributeValueTypeInt32 or FSDK.LRStructureElement.e_AttributeValueTypeInt32Array. For other value type, this function will return 0.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetAttributeValueCount.

Returns
  Integer value.

## ◆ GetAttributeValueString()

FSDK.LRStructureElement.GetAttributeValueString | ( | type | ,
|  | index |
| ) |  |

Get a string value (specified by index) for specified attribute type.

This function is available for attributes whose value type is FSDK.LRStructureElement.e_AttributeValueTypeWStr or FSDK.LRStructureElement.e_AttributeValueTypeWStrArray. For other value type, this function will return an empty string.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.
  [in] | index | Index to specify which value will be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetAttributeValueCount.

Returns
  Wide string value.

## ◆ GetAttributeValueType()

FSDK.LRStructureElement.GetAttributeValueType | ( | type |  | ) |

Get attribute value type for a specified attribute type.

Parameters

  [in] | type | Attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeRole and this should be one of these values.

Returns
  Value type for the specified attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeValueTypeEmpty and this would be one of these values.

## ◆ GetBBox()

FSDK.LRStructureElement.GetBBox | ( |  | ) |

Get bounding box.

Returns
  Bounding box.

## ◆ GetChild()

FSDK.LRStructureElement.GetChild | ( | index |  | ) |

Get a child element by index.

Parameters

  [in] | index | Index of a child element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetChildCount.

Returns
  A child element.

## ◆ GetChildCount()

FSDK.LRStructureElement.GetChildCount | ( |  | ) |

Get the count of children elements.

Returns
  Count of children elements.

## ◆ GetParentElement()

FSDK.LRStructureElement.GetParentElement | ( |  | ) |

Get the parent element.

Returns
  Parent element. If function FSDK.LRStructureElement.IsEmpty for the returned object returns true, that means current element does not have a parent element.

## ◆ GetSupportedAttribute()

FSDK.LRStructureElement.GetSupportedAttribute | ( | index |  | ) |

Get a supported attribute type by index.

Parameters

  [in] | index | Index for a supported attribute whose type is to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSDK.LRStructureElement.GetSupportedAttributeCount.

Returns
  Attribute type of the attribute specified by index.

## ◆ GetSupportedAttributeCount()

FSDK.LRStructureElement.GetSupportedAttributeCount | ( |  | ) |

Get supported attribute count.

Returns
  Count of supported attribute.

## ◆ IsArrayAttributeValueType()

static FSDK.LRStructureElement.IsArrayAttributeValueType | ( | type |  | ) |
| static

Check whether input attribute value type represents an array.

Parameters

  [in] | type | Attribute value type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeValueTypeEmpty and this should be one of these values.

Returns
  true means input type represents an array, while false means input type does not represent an array.

## ◆ ParseAttributeType()

static FSDK.LRStructureElement.ParseAttributeType | ( | type_string |  | ) |
| static

Parse a string representation for attribute type and retrieve the enum value for this attribute type.

Parameters

  [in] | type_string | A string representation for a structure element attribute type.

Returns
  Enum value for attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeInvalid and this would be one of these values.

## ◆ StringifyAttributeType()

static FSDK.LRStructureElement.StringifyAttributeType | ( | type |  | ) |
| static

Convert the enum value of a specified attribute type to a short and memorable string (text) representation.

Parameters

  [in] | type | Enum value of a specified attribute type. Please refer to values starting from FSDK.LRStructureElement.e_AttributeTypeInvalid and this should be one of these values.

Returns
  A string that represents the short and memorable string representation for specified type. If there is no short and memorable string representation, or input type is FSDK.LRStructureElement.e_AttributeTypeInvalid or an invalid enum value, this function would return an empty string.

## ◆ StringifyEnumVariant()

static FSDK.LRStructureElement.StringifyEnumVariant | ( | type |  | ) |
| static

Convert the enum value of a specified attribute value enum to a short and memorable string (text) representation.

Parameters

  [in] | type | Enum value of a specified attribute value enum. Please refer to values starting from FSDK.LRStructureElement.e_AttributeValueEnumInvalid and this should be one of these values.

Returns
  A string that represents the short and memorable string representation for specified enum. If there is no short and memorable string representation, or input enum value is FSDK.LRStructureElement.e_AttributeValueEnumInvalid or an invalid enum value, this function would return an empty string.

## Member Data Documentation

## ◆ e_AttributeTypeABox

FSDK.LRStructureElement.e_AttributeTypeABox
| static

(Reserved) Attribute type: ABox.

Note
  Value type for this attribute type is an array of four numbers.

## ◆ e_AttributeTypeAttached

FSDK.LRStructureElement.e_AttributeTypeAttached
| static

Attribute type: Attached; which specifies the edges of the page; if any; to which the artifact is logically attached.

Note
  Value type for this attribute type is an array of specified enum values. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumTop
  - FSDK.LRStructureElement.e_AttributeValueEnumLeft
  - FSDK.LRStructureElement.e_AttributeValueEnumBottom
  - FSDK.LRStructureElement.e_AttributeValueEnumRight

## ◆ e_AttributeTypeBackgroundColor

FSDK.LRStructureElement.e_AttributeTypeBackgroundColor
| static

Attribute type: BackgroundColor; which represents the color to be used to fill the background of a table cell or any element's content rectangle.

Note
  Value type for this attribute type is RGB color.

## ◆ e_AttributeTypeBaselineShift

FSDK.LRStructureElement.e_AttributeTypeBaselineShift
| static

Attribute type: BaselineShift; which means the distance by which the element's baseline is shifted relative to that of its parent element.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeBBox

FSDK.LRStructureElement.e_AttributeTypeBBox
| static

Attribute type: BBox; which represents the element's bounding box (the rectangle that completely encloses its visible content).

Note
  Value type for this attribute type is an array of four numbers in PDF coordinate system giving the coordinates of the left; bottom; right; and top edges of the elements's bounding box.

## ◆ e_AttributeTypeBlockAlign

FSDK.LRStructureElement.e_AttributeTypeBlockAlign
| static

Attribute type: BlockAlign; which represents the alignment; in the block-progression direction; of content within the table cell.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumBefore
  - FSDK.LRStructureElement.e_AttributeValueEnumCenter
  - FSDK.LRStructureElement.e_AttributeValueEnumAfter
  - FSDK.LRStructureElement.e_AttributeValueEnumJustify

## ◆ e_AttributeTypeBorderColor

FSDK.LRStructureElement.e_AttributeTypeBorderColor
| static

Attribute type: BorderColor; which represents the color of the border drawn on the edges of a table cell or any element's content rectangle.

Note
  Value type for this attribute type is RGB color or an array of RGB color values.

## ◆ e_AttributeTypeBorderStyle

FSDK.LRStructureElement.e_AttributeTypeBorderStyle
| static

Attribute type: BorderStyle; which represents the style of an element's border.

Note
  Value type for this attribute type is enum or an array of enum values. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumNone
  - FSDK.LRStructureElement.e_AttributeValueEnumHidden
  - FSDK.LRStructureElement.e_AttributeValueEnumDotted
  - FSDK.LRStructureElement.e_AttributeValueEnumDashed
  - FSDK.LRStructureElement.e_AttributeValueEnumSolid
  - FSDK.LRStructureElement.e_AttributeValueEnumDouble
  - FSDK.LRStructureElement.e_AttributeValueEnumGroove
  - FSDK.LRStructureElement.e_AttributeValueEnumRidge
  - FSDK.LRStructureElement.e_AttributeValueEnumInset
  - FSDK.LRStructureElement.e_AttributeValueEnumOutset

## ◆ e_AttributeTypeBorderThickness

FSDK.LRStructureElement.e_AttributeTypeBorderThickness
| static

Attribute type: BorderThickness; which represents the thickness of the border drawn on the edges of a table cell or any element's content rectangle.

Note
  Value type for this attribute type is number (for all four edges) or an array of four numbers (for one edge of the border; in the order of the before; after; start; and end edge).

## ◆ e_AttributeTypeColor

FSDK.LRStructureElement.e_AttributeTypeColor
| static

Attribute type: Color; which represents the color to be used for drawing text and the default value for the color of table borders and text decorations.

Note
  Value type for this attribute type is RGB color.

## ◆ e_AttributeTypeColSpan

FSDK.LRStructureElement.e_AttributeTypeColSpan
| static

Attribute type only for Table: ColSpan; which represents the number of columns in the enclosing table that are spanned by the cell.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeColumnCount

FSDK.LRStructureElement.e_AttributeTypeColumnCount
| static

Attribute type: ColumnCount; which represents the number of columns in the content of the grouping element.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeColumnGap

FSDK.LRStructureElement.e_AttributeTypeColumnGap
| static

Attribute type: ColumnGap; which represents the desired space between adjacent columns; measured in the inline-progression direction.

Note
  Value type for this attribute type can be number (for all columns) or an array of numbers. When the value type is array:
  - if the array contains (ColumnCount-1) numbers; these numbers represent the space between the first and second columns; the second and third columns; and so on; respectively.
  - if there are fewer than (ColumnCount-1) numbers; the last element specifies all remaining spaces; excess array elements are ignored.

## ◆ e_AttributeTypeColumnWidths

FSDK.LRStructureElement.e_AttributeTypeColumnWidths
| static

Attribute type: ColumnWidths; which represents the desired width of the columns; measured in the inline-progression direction.

Note
  Value type for this attribute type can be number (for all columns) or an array of numbers. When the value type is array:
  - if the array contains ColumnCount numbers; these numbers represent the width of each column; in order.
  - if there are fewer than ColumnCount numbers; the last element specifies all remaining widths; excess array elements are ignored.

## ◆ e_AttributeTypeDestination

FSDK.LRStructureElement.e_AttributeTypeDestination
| static

Attribute type: Destination (PDF 2.0); which provides a means to access content.

Note
  Value type for this attribute type is an array of zero or stirngs with ID.

## ◆ e_AttributeTypeDirection

FSDK.LRStructureElement.e_AttributeTypeDirection
| static

(Reserved) Attribute type: Direction.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumStart
  - FSDK.LRStructureElement.e_AttributeValueEnumEnd
  - FSDK.LRStructureElement.e_AttributeValueEnumBefore
  - FSDK.LRStructureElement.e_AttributeValueEnumAfter
  - FSDK.LRStructureElement.e_AttributeValueEnumOther (PDF 2.0)

## ◆ e_AttributeTypeEndIndent

FSDK.LRStructureElement.e_AttributeTypeEndIndent
| static

Attribute type: EndIndent; which represents the distance from the end edge of the BLSE to that of the reference area.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeFieldChecked

FSDK.LRStructureElement.e_AttributeTypeFieldChecked
| static

Attribute type only for PrintField: checked; which represents the state of a radio button or check box field.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumOn
  - FSDK.LRStructureElement.e_AttributeValueEnumOff
  - FSDK.LRStructureElement.e_AttributeValueEnumNeutral

## ◆ e_AttributeTypeFieldDesc

FSDK.LRStructureElement.e_AttributeTypeFieldDesc
| static

Attribute type only for PrintField: Desc; which represents the alternate name of the field; similar to the value supplied in the TU entry of the field dictionary for interactive fields.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeFieldRole

FSDK.LRStructureElement.e_AttributeTypeFieldRole
| static

Attribute type only for PrintField: Role; which represents the type of form field represented by this graphic.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumRB
  - FSDK.LRStructureElement.e_AttributeValueEnumCB
  - FSDK.LRStructureElement.e_AttributeValueEnumPB
  - FSDK.LRStructureElement.e_AttributeValueEnumTV

## ◆ e_AttributeTypeGlyphOrientationVertical

FSDK.LRStructureElement.e_AttributeTypeGlyphOrientationVertical
| static

Attribute type: GlyphOrientationVertical; which specifies the orientation of glyphs when the inline-progression direction is top to bottom or bottom to top.

Note
  Value type for this attribute type is number (which should be one of specified numbers -90; 0; 90; 180; and 270) or enum (which should be value FSDK.LRStructureElement.e_AttributeValueEnumAuto).

## ◆ e_AttributeTypeHeight

FSDK.LRStructureElement.e_AttributeTypeHeight
| static

Attribute type: Height; which represents the height of the element's content rectangle.

Note
  Value type for this attribute type is number or enum value FSDK.LRStructureElement.e_AttributeValueEnumAuto.

## ◆ e_AttributeTypeInlineAlign

FSDK.LRStructureElement.e_AttributeTypeInlineAlign
| static

Attribute type: InlineAlign; which represents the alignment; in the inline-progression direction; of content within the table cell.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumStart
  - FSDK.LRStructureElement.e_AttributeValueEnumCenter
  - FSDK.LRStructureElement.e_AttributeValueEnumEnd

## ◆ e_AttributeTypeInvalid

FSDK.LRStructureElement.e_AttributeTypeInvalid
| static

Enumeration for element general layout attribute types.

Values of this enumeration should be used alone. For more details; please refer to "Layout Attributes" in <PDF reference 1.7> P916.

Attribute type: invalid.

## ◆ e_AttributeTypeLineHeight

FSDK.LRStructureElement.e_AttributeTypeLineHeight
| static

Attribute type: LineHeight; which means the element's preferred height; in the block-progression direction.

Note
  Value type for this attribute type can be number or enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumNormal
  - FSDK.LRStructureElement.e_AttributeValueEnumAuto

## ◆ e_AttributeTypeListNumbering

FSDK.LRStructureElement.e_AttributeTypeListNumbering
| static

Attribute type only for List: ListNumbering; which represents the numbering system to be used to generate the content of the Lbl (Label) elements in an autonumbered list; or the symbol used to identify each item in an unnumbered list.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumNone
  - FSDK.LRStructureElement.e_AttributeValueEnumDisc
  - FSDK.LRStructureElement.e_AttributeValueEnumCircle
  - FSDK.LRStructureElement.e_AttributeValueEnumSquare
  - FSDK.LRStructureElement.e_AttributeValueEnumDecimal
  - FSDK.LRStructureElement.e_AttributeValueEnumUpperRoman
  - FSDK.LRStructureElement.e_AttributeValueEnumLowerRoman
  - FSDK.LRStructureElement.e_AttributeValueEnumUpperAlpha
  - FSDK.LRStructureElement.e_AttributeValueEnumLowerAlpha
  - FSDK.LRStructureElement.e_AttributeValueEnumUnordered (PDF 2.0)
  - FSDK.LRStructureElement.e_AttributeValueEnumOrdered (PDF 2.0)

## ◆ e_AttributeTypePadding

FSDK.LRStructureElement.e_AttributeTypePadding
| static

Attribute type: Padding; which specifies an offset to account for the separation between the element's content rectangle and the surrounding border.

Note
  Value type for this attribute type is number (for all four sides) or an array of four numbers (for the before; after; start; and end edge).

## ◆ e_AttributeTypePlacement

FSDK.LRStructureElement.e_AttributeTypePlacement
| static

Attribute type: Placement; which means the positioning of the element with respect to the enclosing reference area and other content.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumBlock
  - FSDK.LRStructureElement.e_AttributeValueEnumInline
  - FSDK.LRStructureElement.e_AttributeValueEnumBefore
  - FSDK.LRStructureElement.e_AttributeValueEnumStart
  - FSDK.LRStructureElement.e_AttributeValueEnumEnd

## ◆ e_AttributeTypeRole

FSDK.LRStructureElement.e_AttributeTypeRole
| static

Attribute type: role; which means strings of structure element meaning and standard type it maps to.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeRotation

FSDK.LRStructureElement.e_AttributeTypeRotation
| static

Attribute type: Rotation.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeRowSpan

FSDK.LRStructureElement.e_AttributeTypeRowSpan
| static

Attribute type only for Table: RowSpan; which represents the number of rows in the enclosing table that are spanned by the cell.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeRubyAlign

FSDK.LRStructureElement.e_AttributeTypeRubyAlign
| static

Attribute type: RubyAlign; which represents the justification of the lines within a ruby assembly.

Note
  Value type for this attribute type is enum or an array of specified enum values. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumStart
  - FSDK.LRStructureElement.e_AttributeValueEnumCenter
  - FSDK.LRStructureElement.e_AttributeValueEnumEnd
  - FSDK.LRStructureElement.e_AttributeValueEnumJustify
  - FSDK.LRStructureElement.e_AttributeValueEnumDistribute

## ◆ e_AttributeTypeRubyPosition

FSDK.LRStructureElement.e_AttributeTypeRubyPosition
| static

Attribute type: RubyPosition; which represents the placement of the RT structure element relative to the RB element in a ruby assembly.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumBefore
  - FSDK.LRStructureElement.e_AttributeValueEnumAfter
  - FSDK.LRStructureElement.e_AttributeValueEnumWarichu
  - FSDK.LRStructureElement.e_AttributeValueEnumInline

## ◆ e_AttributeTypeShort

FSDK.LRStructureElement.e_AttributeTypeShort
| static

Attribute type: Short (PDF 2.0); which contains a short form of the content of a TH structure element's content.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeSpaceAfter

FSDK.LRStructureElement.e_AttributeTypeSpaceAfter
| static

Attribute type: SpaceAfter; which represents the amount of extra space following the after edge of the BLSE.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeSpaceBefore

FSDK.LRStructureElement.e_AttributeTypeSpaceBefore
| static

Attribute type: SpaceBefore; which represents the amount of extra space preceding the before edge of the BLSE.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeStartIndent

FSDK.LRStructureElement.e_AttributeTypeStartIndent
| static

Attribute type: StartIndent; which represents the distance from the start edge of the reference area to that of the BLSE.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeSubType

FSDK.LRStructureElement.e_AttributeTypeSubType
| static

Attribute type: Subtype; which means the subtype of annotation or artifact.

Note
  Value type for this attribute type:
  - For annotation; value type is string.
  - For artifact; value type is enum. Valid enum values are:
    - FSDK.LRStructureElement.e_AttributeValueEnumPagination
    - FSDK.LRStructureElement.e_AttributeValueEnumLayout
    - FSDK.LRStructureElement.e_AttributeValueEnumPage
    - FSDK.LRStructureElement.e_AttributeValueEnumBackground

## ◆ e_AttributeTypeTableHeaders

FSDK.LRStructureElement.e_AttributeTypeTableHeaders
| static

(Currently; unsupported) Attribute type only for Table: Headers; which represents an array of element identifiers.

Note
  Value type for this attribute type is an array of strings.

## ◆ e_AttributeTypeTableHeaderScope

FSDK.LRStructureElement.e_AttributeTypeTableHeaderScope
| static

Attribute type only for Table: Scope; which indicates whether the header cell applies to the rest of the cells in the row that contains it; the column that contains it; or both the row and the column that contain it.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumRow
  - FSDK.LRStructureElement.e_AttributeValueEnumColumn
  - FSDK.LRStructureElement.e_AttributeValueEnumBoth

## ◆ e_AttributeTypeTableSummary

FSDK.LRStructureElement.e_AttributeTypeTableSummary
| static

Attribute type only for Table: Summary; which represents a summary of the table's purpose and structure; for use in non-visual rendering such as speech or braille.

Note
  Value type for this attribute type is string.

## ◆ e_AttributeTypeTBorderStyle

FSDK.LRStructureElement.e_AttributeTypeTBorderStyle
| static

Attribute type: TBorderStyle; which represents the style of the border drawn on each edge of a table cell.

Note
  Value type for this attribute type is enum or an array of specified enum values. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumNone
  - FSDK.LRStructureElement.e_AttributeValueEnumHidden
  - FSDK.LRStructureElement.e_AttributeValueEnumDotted
  - FSDK.LRStructureElement.e_AttributeValueEnumDashed
  - FSDK.LRStructureElement.e_AttributeValueEnumSolid
  - FSDK.LRStructureElement.e_AttributeValueEnumDouble
  - FSDK.LRStructureElement.e_AttributeValueEnumGroove
  - FSDK.LRStructureElement.e_AttributeValueEnumRidge
  - FSDK.LRStructureElement.e_AttributeValueEnumInset
  - FSDK.LRStructureElement.e_AttributeValueEnumOutset

## ◆ e_AttributeTypeTextAlign

FSDK.LRStructureElement.e_AttributeTypeTextAlign
| static

Attribute type: TextAlign; which represents the alignment of text and other content within lines of the BLSE.

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumStart
  - FSDK.LRStructureElement.e_AttributeValueEnumCenter
  - FSDK.LRStructureElement.e_AttributeValueEnumEnd
  - FSDK.LRStructureElement.e_AttributeValueEnumJustify

## ◆ e_AttributeTypeTextDecorationColor

FSDK.LRStructureElement.e_AttributeTypeTextDecorationColor
| static

Attribute type: TextDecorationColor; which represents the color to be used for drawing text decorations.

Note
  Value type for this attribute type is RGB color.

## ◆ e_AttributeTypeTextDecorationThickness

FSDK.LRStructureElement.e_AttributeTypeTextDecorationThickness
| static

Attribute type: TextDecorationThickness; which represents the thickness of each line drawn as part of the text decoration.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeTextDecorationType

FSDK.LRStructureElement.e_AttributeTypeTextDecorationType
| static

Attribute type: TextDecorationType; which represents the text decoration; if any; to be applied to the element's text.

Note
  Value type for this attribute type is enum or an array of specified enum values. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumNone
  - FSDK.LRStructureElement.e_AttributeValueEnumUnderline
  - FSDK.LRStructureElement.e_AttributeValueEnumOverline
  - FSDK.LRStructureElement.e_AttributeValueEnumLineThrough

## ◆ e_AttributeTypeTextIndent

FSDK.LRStructureElement.e_AttributeTypeTextIndent
| static

Attribute type: TextIndent; which represents the additional distance from the start edge of the BLSE; as specified by FSDK.LRStructureElement.e_AttributeTypeStartIndent; to that of the first line of text.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeTPadding

FSDK.LRStructureElement.e_AttributeTypeTPadding
| static

Attribute type: TPadding; which specifies an offset to account for the separation between the table cell's content rectangle and the surrounding border.

Note
  Value type for this attribute type is number (for all four edges of the table cell) or an array of four numbers (for the before edge; after edge; start edge; and end edge of the content rectangle).

## ◆ e_AttributeTypeVersion

FSDK.LRStructureElement.e_AttributeTypeVersion
| static

(Reserved) Attribute type: Version; which represents schema version of layout recognition engine.

Note
  Value type for this attribute type is number.

## ◆ e_AttributeTypeWidth

FSDK.LRStructureElement.e_AttributeTypeWidth
| static

Attribute type: Width; which represents the width of the element's content rectangle.

Note
  Value type for this attribute type is number or enum value FSDK.LRStructureElement.e_AttributeValueEnumAuto.

## ◆ e_AttributeTypeWritingMode

FSDK.LRStructureElement.e_AttributeTypeWritingMode
| static

Attribute type: WritingMode; which means the directions of layout progression for packing of ILSEs (inline progression) and stacking of BLSEs (block progression).

Note
  Value type for this attribute type is enum. Valid enum values are:
  - FSDK.LRStructureElement.e_AttributeValueEnumLrTb
  - FSDK.LRStructureElement.e_AttributeValueEnumRlTb
  - FSDK.LRStructureElement.e_AttributeValueEnumTbRl
  - FSDK.LRStructureElement.e_AttributeValueEnumTbLr (PDF 2.0)

## ◆ e_AttributeValueEnumAfter

FSDK.LRStructureElement.e_AttributeValueEnumAfter
| static

Enum value: After; which means the alignment for attribute BlockAlign or the placement for attribute RubyPosition.

- For attribute BlockAlign; this means after edge of the last child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyPosition; this means the RT content is to be aligned along the after edge of the element.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBlockAlign; and FSDK.LRStructureElement.e_AttributeTypeRubyPosition.

## ◆ e_AttributeValueEnumAuto

FSDK.LRStructureElement.e_AttributeValueEnumAuto
| static

Enum value: Auto.

- For attribute Width and Height; this indicates that no specific value and the value will be determined automatically.
- For attribute LineHeight; this means not to adjust for the value of BaselineShift.
- For attribute GlyphOrientationVertical; this specifies a default orientation for text depending on whether it is fullwidth(as wide as it is high).

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeWidth; FSDK.LRStructureElement.e_AttributeTypeHeight; FSDK.LRStructureElement.e_AttributeTypeLineHeight; and FSDK.LRStructureElement.e_AttributeTypeGlyphOrientationVertical.

## ◆ e_AttributeValueEnumBackground

FSDK.LRStructureElement.e_AttributeValueEnumBackground
| static

Enum value: Background; which means background artifacts. Background artifacts typically serve as a background for content shown either on top of or placed adjacent to that background.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeSubType.

## ◆ e_AttributeValueEnumBefore

FSDK.LRStructureElement.e_AttributeValueEnumBefore
| static

Enum value: Before; which means the placement for attributes Placement/RubyPosition or alignment for attribute BlockAlign.

- For attribute Placement; this means to be placed so that the before edge of the element's allocation rectangle coincides with that of the nearest enclosing reference area.
- For attribute BlockAlign; this means before edge of the first child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyPosition; this means the placement of the RT structure element relative to the RB element in a ruby assembly.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypePlacement; FSDK.LRStructureElement.e_AttributeTypeBlockAlign; and FSDK.LRStructureElement.e_AttributeTypeRubyPosition.

## ◆ e_AttributeValueEnumBlock

FSDK.LRStructureElement.e_AttributeValueEnumBlock
| static

Enum value: Block; which means to be stacked in the block-progression direction within an enclosing reference area or parent BLSE.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypePlacement.

## ◆ e_AttributeValueEnumBoth

FSDK.LRStructureElement.e_AttributeValueEnumBoth
| static

Enum value: Row; which means both row and column of a table.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeTableHeaderScope.

## ◆ e_AttributeValueEnumBottom

FSDK.LRStructureElement.e_AttributeValueEnumBottom
| static

Enum value: Bottom; which means bottom edge of the page.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeAttached.

## ◆ e_AttributeValueEnumCB

FSDK.LRStructureElement.e_AttributeValueEnumCB
| static

Enum value: cb; which means check box.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldRole.

## ◆ e_AttributeValueEnumCenter

FSDK.LRStructureElement.e_AttributeValueEnumCenter
| static

Enum value: Center; which means the alignment for attributes TextAlign/InlineAlign/RubyAlign.

- For attribute TextAlign; this means to be centered between the start and end edges.
- For attribute InlineAlign; this means that each child centered within the table cell.
- For attribute RubyAlign; this means that the content is to be centered in the inline-progression direction

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeTextAlign; FSDK.LRStructureElement.e_AttributeTypeInlineAlign; and FSDK.LRStructureElement.e_AttributeTypeRubyAlign.

## ◆ e_AttributeValueEnumCircle

FSDK.LRStructureElement.e_AttributeValueEnumCircle
| static

Enum value: Circle; which means open circular bullet.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumColumn

FSDK.LRStructureElement.e_AttributeValueEnumColumn
| static

Enum value: Row; which means column of a table.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeTableHeaderScope.

## ◆ e_AttributeValueEnumDashed

FSDK.LRStructureElement.e_AttributeValueEnumDashed
| static

Enum value: Dashed; which means the border is a series of short line segments.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumDecimal

FSDK.LRStructureElement.e_AttributeValueEnumDecimal
| static

Enum value: Decimal; which means decimal arabic numerals (1-9; 10-99; ...).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumDisc

FSDK.LRStructureElement.e_AttributeValueEnumDisc
| static

Enum value: Disc; which means solid circular bullet.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumDistribute

FSDK.LRStructureElement.e_AttributeValueEnumDistribute
| static

Enum value: Distribute; which means the content is to be expanded to fill the available width in the inline-progression direction.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeRubyAlign.

## ◆ e_AttributeValueEnumDotted

FSDK.LRStructureElement.e_AttributeValueEnumDotted
| static

Enum value: Dotten; which means the border is a series of dots.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumDouble

FSDK.LRStructureElement.e_AttributeValueEnumDouble
| static

Enum value: Double; which means the border is two solid lines.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumEnd

FSDK.LRStructureElement.e_AttributeValueEnumEnd
| static

Enum value: End; which means the place for attribute Placement; or the alignment for attributes TextAlign/InlineAlign/RubyAlign.

- For attribute Placement; this means to be placed so that the end edge of the element's allocation rectangle coincides with that of the nearest enclosing reference area.
- For attribute TextAlign; this means to be aligned with the end edge.
- For attribute InlineAlign; this means end edge of each child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyAlign; this means that the content is to be aligned on the end edge in the inlineprogression direction.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypePlacement; FSDK.LRStructureElement.e_AttributeTypeTextAlign; FSDK.LRStructureElement.e_AttributeTypeInlineAlign; and FSDK.LRStructureElement.e_AttributeTypeRubyAlign.

## ◆ e_AttributeValueEnumGroove

FSDK.LRStructureElement.e_AttributeValueEnumGroove
| static

Enum value: Groove; which means the border looks as though it were carved into the canvas.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumHidden

FSDK.LRStructureElement.e_AttributeValueEnumHidden
| static

Enum value: Hidden; which is same as None except in terms of border conflict resolution for table elements.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumInline

FSDK.LRStructureElement.e_AttributeValueEnumInline
| static

Enum value: Inline; which means the placement for attributes Placement/RubyPosition.

- For attribute Placement; this means to be packed in the inline-progression direction within an enclosing BLSE.
- For attribute RubyPosition; this means that the RT and associated RP elements are to be formatted as a parenthesis comment; following the RB element

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypePlacement; and FSDK.LRStructureElement.e_AttributeTypeRubyPosition.

## ◆ e_AttributeValueEnumInset

FSDK.LRStructureElement.e_AttributeValueEnumInset
| static

Enum value: Inset; which means the border makes the entire box look as though it were embedded in the canvas.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumInvalid

FSDK.LRStructureElement.e_AttributeValueEnumInvalid
| static

Enumeration for element general layout attribute enum values.

Values of this enumeration should be used alone. This is the set of enum values for all attribute types whose value types are enum or an array of enum values.

Invalid enum value.

## ◆ e_AttributeValueEnumJustify

FSDK.LRStructureElement.e_AttributeValueEnumJustify
| static

Enum value: Justify; which means the alignment for attributes TextAlign/BlockAlign/RubyAlign.

- For attribute TextAlign; this means to be aligned with both the start and end edges; with internal spacing within each line expanded; if necessary; to achieve such alignment.
- For attribute BlockAlign; this means that children are aligned with both the before and after edges of the table cell's content rectangle.
- For attribute RubyAlign; this means that the content is to be centered in the inline-progression direction

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeTextAlign; FSDK.LRStructureElement.e_AttributeTypeBlockAlign; and FSDK.LRStructureElement.e_AttributeTypeRubyAlign.

## ◆ e_AttributeValueEnumLayout

FSDK.LRStructureElement.e_AttributeValueEnumLayout
| static

Enum value: Layout; which means layout artifacts. Purely cosmetic typographical or design elements such as footnote rules or background screens.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeSubType.

## ◆ e_AttributeValueEnumLeft

FSDK.LRStructureElement.e_AttributeValueEnumLeft
| static

Enum value: Left; which means left edge of the page.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeAttached.

## ◆ e_AttributeValueEnumLineThrough

FSDK.LRStructureElement.e_AttributeValueEnumLineThrough
| static

Enum value: LineThrough; which means a line through the middle of the text.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeTextDecorationType.

## ◆ e_AttributeValueEnumLowerAlpha

FSDK.LRStructureElement.e_AttributeValueEnumLowerAlpha
| static

Enum value: LowerAlpha; which means lowercase letters (a; b; c; ...).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumLowerRoman

FSDK.LRStructureElement.e_AttributeValueEnumLowerRoman
| static

Enum value: LowerRoman; which means lowercase roman numerals (i; ii; iii; iv; ...).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumLrTb

FSDK.LRStructureElement.e_AttributeValueEnumLrTb
| static

Enum value: LtTb; which means inline progression from left to right; block progression from top to bottom.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeWritingMode.

## ◆ e_AttributeValueEnumMiddle

FSDK.LRStructureElement.e_AttributeValueEnumMiddle
| static

Enum value: Middle; which means children are centered within the table cell.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeBlockAlign.

## ◆ e_AttributeValueEnumNeutral

FSDK.LRStructureElement.e_AttributeValueEnumNeutral
| static

Enum value: neutral; which means the state is neutral.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldChecked.

## ◆ e_AttributeValueEnumNone

FSDK.LRStructureElement.e_AttributeValueEnumNone
| static

Enum value: None; which means no such attribute.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; FSDK.LRStructureElement.e_AttributeTypeTBorderStyle; .* FSDK.LRStructureElement.e_AttributeTypeTextDecorationType; and FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumNormal

FSDK.LRStructureElement.e_AttributeValueEnumNormal
| static

     @brief Enum value: Normal; which means to adjust the line height to include any nonzero value

specified for attribute BaselineShift .

     @note This can be used with attribute type @link FSDK.LRStructureElement.e_AttributeTypeLineHeight @endlink.

## ◆ e_AttributeValueEnumOff

FSDK.LRStructureElement.e_AttributeValueEnumOff
| static

Enum value: off; which means the state is off.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldChecked.

## ◆ e_AttributeValueEnumOn

FSDK.LRStructureElement.e_AttributeValueEnumOn
| static

Enum value: on; which means the state is on.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldChecked.

## ◆ e_AttributeValueEnumOrdered

FSDK.LRStructureElement.e_AttributeValueEnumOrdered
| static

Enum value: Ordered (PDF 2.0); which means ordered lists with unspecified numbering.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumOther

FSDK.LRStructureElement.e_AttributeValueEnumOther
| static

Enum value: Other (PDF 2.0).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeDirection.

## ◆ e_AttributeValueEnumOutset

FSDK.LRStructureElement.e_AttributeValueEnumOutset
| static

Enum value: Outset; which means the border makes the entire box look as though it were coming out of the canvas (the opposite of Inset).

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumOverline

FSDK.LRStructureElement.e_AttributeValueEnumOverline
| static

Enum value: Overline; which means a line above the text.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeTextDecorationType.

## ◆ e_AttributeValueEnumPage

FSDK.LRStructureElement.e_AttributeValueEnumPage
| static

Enum value: Page; which means page artifacts. Production aids extraneous to the document itself; such as cut marks and color bars.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeSubType.

## ◆ e_AttributeValueEnumPagination

FSDK.LRStructureElement.e_AttributeValueEnumPagination
| static

Enum value: Pagination; which means pagination artifacts. Ancillary page features such as running heads and folios (page numbers).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeSubType.

## ◆ e_AttributeValueEnumPB

FSDK.LRStructureElement.e_AttributeValueEnumPB
| static

Enum value: pb; which means push button.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldRole.

## ◆ e_AttributeValueEnumRB

FSDK.LRStructureElement.e_AttributeValueEnumRB
| static

Enum value: rb; which means radio button.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldRole.

## ◆ e_AttributeValueEnumRidge

FSDK.LRStructureElement.e_AttributeValueEnumRidge
| static

Enum value: Ridge; which means the border looks as though it were coming out of the canvas (the opposite of Groove).

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumRight

FSDK.LRStructureElement.e_AttributeValueEnumRight
| static

Enum value: Right; which means right edge of the page.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeAttached.

## ◆ e_AttributeValueEnumRlTb

FSDK.LRStructureElement.e_AttributeValueEnumRlTb
| static

Enum value: RlTb; which means inline progression from right to left; block progression from top to bottom.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeWritingMode.

## ◆ e_AttributeValueEnumRow

FSDK.LRStructureElement.e_AttributeValueEnumRow
| static

Enum value: Row; which means row of a table.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeTableHeaderScope.

## ◆ e_AttributeValueEnumSolid

FSDK.LRStructureElement.e_AttributeValueEnumSolid
| static

Enum value: Solid; which means the border is a single line segment.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypeBorderStyle; and FSDK.LRStructureElement.e_AttributeTypeTBorderStyle.

## ◆ e_AttributeValueEnumSquare

FSDK.LRStructureElement.e_AttributeValueEnumSquare
| static

Enum value: Square; which means solid square bullet.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumStart

FSDK.LRStructureElement.e_AttributeValueEnumStart
| static

Enum value: Start; which means the place for attribute Placement; or the alignment for attributes TextAlign/InlineAlign/RubyAlign.

- For attribute Placement; this means to be placed so that the start edge of the element's allocation rectangle coincides with that of the nearest enclosing reference area.
- For attribute TextAlign; this means to be aligned with the start edge.
- For attribute InlineAlign; this means start edge of each child's allocation rectangle aligned with that of the table cell's content rectangle.
- For attribute RubyAlign; this means that the content is to be aligned on the start edge in the inlineprogression direction.

Note
  This can be used with attribute types FSDK.LRStructureElement.e_AttributeTypePlacement; FSDK.LRStructureElement.e_AttributeTypeTextAlign; FSDK.LRStructureElement.e_AttributeTypeInlineAlign; and FSDK.LRStructureElement.e_AttributeTypeRubyAlign.

## ◆ e_AttributeValueEnumTbLr

FSDK.LRStructureElement.e_AttributeValueEnumTbLr
| static

Enum value: TbLr (PDF 2.0); which means inline progression from top to bottom; block progression from left to right.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeWritingMode.

## ◆ e_AttributeValueEnumTbRl

FSDK.LRStructureElement.e_AttributeValueEnumTbRl
| static

Enum value: TbRl; which means inline progression from top to bottom; block progression from right to left.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeWritingMode.

## ◆ e_AttributeValueEnumTop

FSDK.LRStructureElement.e_AttributeValueEnumTop
| static

Enum value: Top; which means top edge of the page.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeAttached.

## ◆ e_AttributeValueEnumTV

FSDK.LRStructureElement.e_AttributeValueEnumTV
| static

Enum value: tv; which means text-value field.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeFieldRole.

## ◆ e_AttributeValueEnumUnderline

FSDK.LRStructureElement.e_AttributeValueEnumUnderline
| static

Enum value: Underline; which means a line below the text.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeTextDecorationType.

## ◆ e_AttributeValueEnumUnordered

FSDK.LRStructureElement.e_AttributeValueEnumUnordered
| static

Enum value: Unordered (PDF 2.0); which means unordered list with unspecified bullets.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumUpperAlpha

FSDK.LRStructureElement.e_AttributeValueEnumUpperAlpha
| static

Enum value: UpperAlpha; which means uppercase letters (A; B; C; ...).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumUpperRoman

FSDK.LRStructureElement.e_AttributeValueEnumUpperRoman
| static

Enum value: UpperRoman; which means uppercase roman numerals (I; II; III; IV; ...).

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeListNumbering.

## ◆ e_AttributeValueEnumWarichu

FSDK.LRStructureElement.e_AttributeValueEnumWarichu
| static

Enum value: Warichu; which means the RT and associated RP elements are to be formatted as a warichu; following the RB element.

Note
  This can be used with attribute type FSDK.LRStructureElement.e_AttributeTypeRubyPosition.

## ◆ e_AttributeValueTypeEmpty

FSDK.LRStructureElement.e_AttributeValueTypeEmpty
| static

Enumeration for value type of element general layout attribute.

Values of this enumeration should be used alone.

Empty value type.